Subject: bug#31162: closed (Re: bug#31162: "guix pull" broke itself)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Feb 2019 15:35:10 +0000

Your bug report

#31162: "guix pull" broke itself

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31162: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31162
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31162: "guix pull" broke itself
From: Ricardo Wurmus <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Mon, 04 Feb 2019 11:01:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> writes:

> Hi Ludo,
>
> I've checked guix-packages now and I see:
>
> $ bzless $(guix build --log-file /gnu/store/q0s172fgb213c4jk7hvgkzsw0i1bq6j0-guix-packages.drv)
>
> ...
>  31.4% of 407 files^Mcompiling...        31.7% of 407 files^Mcompiling...        31.9% of 407 files^Mcompiling...        32.2% of 407 files^Mcompiling...        32.4% of 407 files^Mcompiling...        32.7% of 407 files^Mcompiling...        32.9% of 407 files^Mcompiling...        33.2% of 407 files^Mcompiling...        33.4% of 407 files^Mcompiling...        33.7% of 407 files^Mcompiling...        33.9% of 407 files^Mcompiling...        34.2% of 407 files^Mcompiling...        34.4% of 407 files^Mcompiling...        34.6% of 407 files^Mcompiling...        34.9% of 407 files^Mcompiling...        35.1% of 407 files^Mcompiling...        35.4% of 407 files^Mcompiling...        35.6% of 407 files^Mcompiling...        35.9% of 407 files^Mcompiling...        36.1% of 407 files^Mcompiling...        36.4% of 407 files^Mcompiling...        36.6% of 407 files^Mcompiling...        36.9% of 407 files^Mcompiling...        37.1% of 407 files^Mcompiling...
>         37.3% of 407 files^Mcompiling...        37.6% of 407 files^Mcompiling...        37.8% of 407 files^Mcompiling...        38.1% of 407 files^Mcompiling...        38.3% of 407 filesIn thread:
> unexpected syntax
> In thread:
> no code for module (guix licenses)
> ^Mcompiling...   38.6% of 407 filesIn thread:
> no code for module (guix licenses)
> ^Mcompiling...   38.8% of 407 filesIn thread:
> no code for module (guix licenses)
> ^Mcompiling...  100.0% of 407 files
>
> (Deleting ~/.cache/guile and ~/.cache/guix didn't help)

I believe that this can no longer happen since the new “guix pull”
(aside from the infamous miscompilation bug #27476).

I’m closing this, but feel free to reopen if this can be reproduced with
the new “guix pull” implementation.

~~ Ricardo

Subject: "guix pull" broke itself
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Sun, 15 Apr 2018 12:59:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

$ guix pull
Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from Git commit fc12113704255616522cb56fc37b4a18fccd84eb...
Backtrace:
In ice-9/boot-9.scm:
   2862:4 19 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
  2071:24 18 (call-with-deferred-observers #<procedure 49399b0 at ic…>)
  2875:24 17 (_)
   222:17 16 (map1 (((gnu)) ((guix)) ((guix ui)) ((guix config)) # …))
  2788:17 15 (resolve-interface (gnu) #:select _ #:hide _ #:prefix _ …)
  2714:10 14 (_ (gnu) _ _ #:ensure _)
  2982:16 13 (try-module-autoload _ _)
   2312:4 12 (save-module-excursion #<procedure 4439750 at ice-9/boo…>)
  3002:22 11 (_)
In unknown file:
          10 (primitive-load-path "gnu" #<procedure 404b680 at ice-9…>)
In gnu.scm:
     58:4  9 (_)
In ice-9/boot-9.scm:
   260:13  8 (for-each #<procedure 404b340 at gnu.scm:59:16 (m)> (# …))
In gnu.scm:
    60:33  7 (_ (gnu system))
In ice-9/boot-9.scm:
  2788:17  6 (resolve-interface (gnu system) #:select _ #:hide _ # _ …)
  2714:10  5 (_ (gnu system) _ _ #:ensure _)
  2982:16  4 (try-module-autoload _ _)
   2312:4  3 (save-module-excursion #<procedure 4439480 at ice-9/boo…>)
  3002:22  2 (_)
In unknown file:
           1 (primitive-load-path "gnu/system" #<procedure 404b2c0 a…>)
In gnu/system.scm:
    508:0  0 (_)

gnu/system.scm:508:0: util-linux-2.31.1: unbound variable

$ ls -l $(which guix)
/run/current-system/profile/bin/guix -> /gnu/store/xzz0xn80jp48fzy5xz4k8nmwwz1badgc-guix-0.14.0-9.bdf0c64/bin/guix

$ grep -r util-linux-2.31 /gnu/store/xzz0xn80jp48fzy5xz4k8nmwwz1badgc-guix-0.14.0-9.bdf0c64/share/guile/site/2.2/gnu/
$